QCAT - User Story #715

Summary: PDF export
21 Sep 2015 15:13 - Kurt Gerber

Status: Closed Start date: 16 May 2017
Priority: Normal Due date:

Assignee: Kurt Gerber % Done: 0%
Category: Estimated time: 100.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

Generating PDF Summary based on the output of the API.

History

#1 - 21 Sep 2015 15:16 - Kurt Gerber

- Tracker changed from User Story to Feature

#2 - 07 Jan 2016 00:11 - Kurt Gerber

- Tracker changed from Feature to User Story

#3 - 29 Mar 2016 19:22 - Kurt Gerber
- Target version changed from QCAT API ready for SKBP to QCAT Backlog

#4 - 19 May 2016 10:48 - Lukas Vonlanthen

- Target version changed from QCAT Backlog to WOCAT core productive release

#5 - 19 May 2016 10:51 - Lukas Vonlanthen

- Tracker changed from User Story to Task

#6 - 19 May 2016 12:19 - Kurt Gerber
- Estimated time changed from 20.00 h to 100.00 h

¢ This task could probably be outsorced

#7 - 11 Aug 2016 10:42 - Kurt Gerber
- Description updated
- Assignee deleted (Lukas Vonlanthen)

- Target version changed from WOCAT core productive release to QCAT Backlog

#8 - 06 Dec 2016 11:18 - Kurt Gerber
- Priority changed from Normal to High

#9 - 12 Dec 2016 14:18 - Kurt Gerber
- Tracker changed from Task to User Story

- Parent task deleted (#652)

#10 - 22 Dec 2016 13:53 - Kurt Gerber

- Assignee set to Sebastian Manger

#11 - 22 Dec 2016 13:54 - Kurt Gerber

- Status changed from New to In Progress
#12 - 06 Mar 2017 15:23 - Sebastian Manger

- Status changed from In Progress to Feedback

#13 - 16 Mar 2017 09:48 - Kurt Gerber

- Status changed from Feedback to Resolved

#14 - 03 May 2017 17:06 - Sebastian Manger

change requests vom 27.4.:

Technology

- neuer button: print-auflésung (max 4h): auch im file-name

- zwei-fotos: quadrate sollen  breite voll ausfillen

- caption: grossere schrift

- wocat-logo mit schatten --> simone: svg, transparenter hintergrund

- Type of introduction-Titel (im Location-Béxli): grossere Zeilenhéhe

- Auflésung der Karte erhéhen; Library mit PR von Lukas einbinden: questionnaire/models.py:635, force_create als kwarg
- "Geo-reference of selected sites" --> T und A

- Date of implementation erscheint nicht immer (Jahreszahl)

- 'other' muss immer rein: 3.1, 3.3., 3.4, 5.9, 6.1., 6.2., 6.6 (inkl. Text)

- 3.2. landuse: reihenfolge der infos

- slm group zeigt immer nur ein item an

- spread of the technology: flache wird nicht angezeigt "if the technology is evenly spread over an area, indicatre approximate area covered"
- technical drawing: wenn mehr elemente, erscheint kein bild (zb. technology_664) --> pdfs!

- technical drawing: text hat keine zeilenabsténde (technology_664)

- establishment activities: nummerierung is zu weit links. alles ein wenig mehr einrticken

- establishment activities: specify unit und specify volume, length, etc. fehlt

- establishment activities text: "average wage cost of hired labout per day"

- tabelle nicht splitten (?)

- natural environment: erste zeile: specifications / kommentare von beiden fragen anzeigen (avg. annual rainfall und agro-climatic zone)
- access to services and infrastructure fragen naher an skala

- technology: impacts: erklarungen rechts

- quantity before, quantity after; neu unterhalb der skala, linksbiindig mit skala, mehr abstand nach unten --> als kommentar; unterhalb sieht falsch
aus.

- impacts: hr geht nicht ganz raus

- off-site impacts: text aus 6.6 (falsch), muss weg

- other fehlt

- climate change: "exposure and sensitivity of the technology..." weg

- "climate change/ extreme to which the ..." / "How does the Technology" neu fett "How the Technology copes with these changes/extremes" plus
<hr>im Anschluss

- "other" erscheint, aber text nicht

- wenn 'not known' oder '-' --> Text nach Skala: wenn '-' wird Frage nicht angezeigt (da nicht beantwortet, analog Web)

- 'cost benefit': kommentar anzeigen

- adoption and adaptation: if available, qunatify anzeigen (oberhalb adaptation, oberhalb des strichs)

- 'Adaptation’ als Titel weg

- "has the technology..." und to which changing conditions als titel

- kommentar von adaptation anzeigen, nicht von adoption

- compilers: institutionen hinzuftigen (ticket bei wocat-website; anzeige der user-details; abgleich der daten wocat-qcat) -->
https://redmine.cde.unibe.ch/issues/1078

- resource persons: email anzeigen (technology 664)

- kompletter block einspaltig

- "more about..." neu "full description in the wocat database", dann direkt url, grosserer abstand zu linked sIm data

- key references: ganz unten, in box (wie cost-benefit) und kleinere schrift

- bei linked slm data klammer weg

- titel der technolgy, nicht vom verlinkten case bei linked slm data

- documentation was facilited by: "institution:" 'inhalt’, "project:" 'inhalt' --> k&nnen mehrere sein.

- 7.3. neu anzeigen in quellen-box

Approach

- conditions enabling or hindring: bullets weg, titel fett und abstand zwischen elementen

- strich zwischen aims / conditions enabling / conditions hinderung

- section 3 fehlt (participation and roles of stakeholders) (id: wocat-1948 / code: 747)

- Institution strenghtening, kommentar neu mit titel 4.3. "institution, roles and responsibilities, members, etc."
- type of support: kommentar mit titel: ‘further details'

- technical support:

- nach capacity building, advisory service und institution strenghtening neu abstand

- subitel ('traning was provided, form of traning, sujects covered, instuutions hae benn strnthened, ect.") fett
- monitoring and evalation:

- satz 'this documentation is not intended'

- comment anzeigen wenen vorhanden oder 'no specifications available'

- financing and external ...

- "annual budget in USD for the SLM component”

- impacts of the approach: kommantar-font gross, kursiv lassen

- sustainability of approach activities: kommentar rein (unterhalb der frage, ohne titel)
#15 - 04 May 2017 17:31 - Kurt Gerber

- Status changed from Resolved to In Progress

#16 - 04 May 2017 18:47 - Sebastian Manger

Change request vom 4.5. (mats)

- staticmap: grésse nochmals checken

- references: abstand titel und text kleiner, klarere blécke

- two images: quadratisch

- calculation and costs: unit/ conversion | area fett, wéhrung fett

- conclusions: land user's view / compiler’s or other key resource person’s view
- wocat-logo im pdf

#17 - 15 May 2017 14:42 - Sebastian Manger

- Status changed from In Progress to Resolved

#18 - 18 Aug 2017 12:50 - Kurt Gerber
- Status changed from Resolved to Accepted

- Assignee changed from Sebastian Manger to Renate Fleiner

Es wird Ende September/Oktober ein Meeting geben: WOCAT muss folgendes nochmals klaren:

Welchen Zweck soll der Summary erfillen und welchen nicht? (Zieldefinition)
Klare Sortierung der Anspriiche nach Fehler und anderen Dingen (Neue Features(Inhalte), Stylinganpassungen, etc..)
¢ Alles was nicht einfach ein Fehler ist: Sortieren, ob es dem oben definierten Zweck/Zlel dient oder nicht.

e Wenn diese Bedurfnisse klar definiert sind: Wird Dev-Team eine Zeitschatzung machen.

¢ Danach erst kann WOCAT zusammen mit Dev-Team wirklich entscheiden, was gemacht werden soll.

#19 - 24 Aug 2017 12:32 - Kurt Gerber
- Target version changed from QCAT Backlog to GIZ Proposal 2017

#20 - 24 Aug 2017 17:54 - Kurt Gerber
- Estimated time deleted (100.00 h)

#21 - 24 Aug 2017 17:57 - Kurt Gerber
- Status changed from Accepted to Closed
- Assignee changed from Renate Fleiner to Kurt Gerber

- Target version changed from GIZ Proposal 2017 to QCAT Backlog

Wird jetzt in Ticket #1693 gemanaged

#22 - 24 Aug 2017 17:57 - Kurt Gerber
- Estimated time set to 100.00 h
